import { createAction } from '@ngrx/store';

/*
Nämä ovat laskurin actionit eli "toiminnot", jotka laukaistaan
laskurikomponentista (counter.component.ts). Actionit määrittävät
millaisia muutoksia sovelluksen tilaan voi tehdä. Tässä sallittuja ovat 
ainoastaan alla olevat kolme tilan muutosta: increment, decrement ja reset.

Actionit importataan reduceriin, joka suorittaa ne.
*/

// createAction saa argumentikseen actionin tyypin, jonka nimen voi keksiä itse
export const increment = createAction('Increment');
export const decrement = createAction('Decrement');
export const reset = createAction('Reset');